libzypp: zypp::target::rpm::RemoveResolvableReportSA Struct Reference

libzypp 17.38.5

zypp::target::rpm::RemoveResolvableReportSA Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::target::rpm::RemoveResolvableReportSA:

## Public Types
enum | Error { NO_ERROR , NOT_FOUND , IO , INVALID }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (Resolvable::constPtr, const UserData &=UserData())
virtual void | progress (int, Resolvable::constPtr, const UserData &=UserData())
virtual void | finish (Resolvable::constPtr, Error, const UserData &=UserData())
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Static Public Attributes
static const UserData::ContentType contentRpmout | ZYPP_API
| "zypp-rpm/removepkgsa": Additional rpm output (sent immediately).

## Detailed Description

Definition at line 848 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Error

enum zypp::target::rpm::RemoveResolvableReportSA::Error

Enumerator
NO_ERROR |
NOT_FOUND |
IO |
INVALID |

Definition at line 850 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::target::rpm::RemoveResolvableReportSA::start | ( | Resolvable::constPtr | ,
|  | const UserData & | = UserData() )
| inlinevirtual

Definition at line 857 of file ZYppCallbacks.h.

## ◆ progress()

virtual void zypp::target::rpm::RemoveResolvableReportSA::progress | ( | int | ,
|  | Resolvable::constPtr | ,
|  | const UserData & | = UserData() )
| inlinevirtual

Definition at line 862 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::target::rpm::RemoveResolvableReportSA::finish | ( | Resolvable::constPtr | ,
|  | Error | ,
|  | const UserData & | = UserData() )
| inlinevirtual

Definition at line 868 of file ZYppCallbacks.h.

## Member Data Documentation

## ◆ ZYPP_API

const UserData::ContentType contentRpmout zypp::target::rpm::RemoveResolvableReportSA::ZYPP_API
| static

"zypp-rpm/removepkgsa": Additional rpm output (sent immediately).

For data

See also
  InstallResolvableReportSA::contentRpmout

Definition at line 877 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h